%global npm_name sshpk
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.15.2
Release: %mkrel 8
Summary: A library for finding and using SSH public keys
License: MIT
Group: Development/Other
URL: https://github.com/arekinath/node-sshpk#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(asn1) >= 0.2.3
Requires: npm(assert-plus) >= 1.0.0
Requires: npm(bcrypt-pbkdf) >= 1.0.0
Requires: npm(dashdash) >= 1.12.0
Requires: npm(ecc-jsbn) >= 0.1.1
Requires: npm(getpass) >= 0.1.1
Requires: npm(jsbn) >= 0.1.0
Requires: npm(tweetnacl) >= 0.14.0
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep ecc-jsbn '>=0.2'
%nodejs_fixdep ecc-jsbn '>=0.2.0'
%nodejs_fixdep jsbn '>=1.1'
%nodejs_fixdep jsbn '>=1.1.0'
%nodejs_fixdep tweetnacl '>=1.0'
%nodejs_fixdep tweetnacl '>=1.0.0'

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr bin %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr man %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.15.2-8.mga10
+ Revision: 2209541
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1.15.2-7.mga9
+ Revision: 1820422
- Mageia 9 Mass Rebuild

* Thu Oct 22 2020 joequant <joequant> 1.15.2-6.mga8
+ Revision: 1638130
- redo deps

* Fri Oct 02 2020 tv <tv> 1.15.2-5.mga8
+ Revision: 1631686
- rebuild in order to fix deps
+ joequant <joequant>
- redo deps

* Fri Feb 14 2020 umeabot <umeabot> 1.15.2-3.mga8
+ Revision: 1521224
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 1.15.2-2.mga7
+ Revision: 1341796
- Fix broken dependencies

* Sun Dec 16 2018 kekepower <kekepower> 1.15.2-1.mga7
+ Revision: 1341773
- Update to version 1.15.2

* Thu Sep 20 2018 umeabot <umeabot> 1.14.1-2.mga7
+ Revision: 1280970
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 1.14.1-1.mga7
+ Revision: 1227012
- imported package nodejs-sshpk

